Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos
Class MvsConsoleResult

    java.lang.Object
      com.ibm.jzos.MvsConsoleResult

    public class MvsConsoleResult

extends java.lang.Object

A object containing results from the MvsConsole native calls to the C library __console2() api.

Constructor Summary
`MvsConsoleResult(int msgId, int cmd, java.lang.String modifyText)` Construct an instance

Method Summary
`java.lang.String` | `getModifyText()` Answer the text received on the MVS modify command
`int` | `getMsgId()` Answer the message id assigned by __console2()
`boolean` | `isModifyCmd()` Answer true if the command received is a MVS modify command
`boolean` | `isStopCmd()` Answer true if the command received is a MVS stop command

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MvsConsoleResult

    public MvsConsoleResult(int msgId,
                            int cmd,
                            java.lang.String modifyText)

  Construct an instance

  Parameters:
    `msgId` - the message id
    `cmd` - the command type, see CMD_* constants
    `modifyText` - for a modify command, the string received

Method Detail

### getMsgId

    public int getMsgId()

  Answer the message id assigned by __console2()

### isModifyCmd

    public boolean isModifyCmd()

  Answer true if the command received is a MVS modify command

### isStopCmd

    public boolean isStopCmd()

  Answer true if the command received is a MVS stop command

### getModifyText

    public java.lang.String getModifyText()

  Answer the text received on the MVS modify command

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD